# Clouds

> Source: https://developers.cloud66.com/v3/endpoints/clouds/

## Get Cloud

URL: https://developers.cloud66.com/v3/endpoints/clouds/#get
Endpoint: GET /clouds/:cloud_id
OAuth scope: redeploy

Retrieves details for a specific cloud provider, including available regions and server sizes for that provider.

**Related models:** Cloud

### Parameters

- `cloud_id` (string, required) — The cloud ID (name)

### Response

```json
{
  "response": {
    "name": "digitalocean",
    "display_name": "DigitalOcean",
    "regions": [
      {
        "id": "ams1",
        "name": "Amsterdam, Netherlands",
        "old_id": "2"
      },
      {
        "id": "ams2",
        "name": "Amsterdam 2, Netherlands",
        "old_id": "5"
      },
      {
        "id": "nyc1",
        "name": "New York 1, USA",
        "old_id": "1"
      }
    ],
    "server_sizes": [
      {
        "id": "512mb",
        "name": "512MB / 1 CPU"
      },
      {
        "id": "1gb",
        "name": "1GB / 1 CPU"
      },
      {
        "id": "2gb",
        "name": "2GB / 1 CPU"
      }
    ]
  }
}
```

---

## List Clouds

URL: https://developers.cloud66.com/v3/endpoints/clouds/#list
Endpoint: GET /clouds
OAuth scope: redeploy

Retrieves a list of all supported cloud providers, including their available regions and server sizes.

**Related models:** Cloud

### Response

```json
{
  "response": [
    {
      "name": "aws",
      "display_name": "AWS",
      "regions": [
        {
          "id": "us-east-1",
          "name": "US East (Northern Virginia)"
        },
        {
          "id": "us-west-1",
          "name": "US West (Northern California)"
        }
      ],
      "server_sizes": [
        {
          "id": "t2.micro",
          "name": "General purpose (t2.micro)"
        },
        {
          "id": "t2.small",
          "name": "General purpose (t2.small)"
        }
      ]
    },
    {
      "name": "digitalocean",
      "display_name": "DigitalOcean",
      "regions": [
        {
          "id": "ams1",
          "name": "Amsterdam, Netherlands",
          "old_id": "2"
        }
      ],
      "server_sizes": [
        {
          "id": "512mb",
          "name": "512MB / 1 CPU"
        }
      ]
    }
  ]
}
```
